package com.jxml.quick.util.qdmlExpand;
import com.jxml.quick.model.qdml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QDML data.
 */
public class QCQDML extends OCMrootPeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		int i,s;

		QDMQDML dm=(QDMQDML)dataModel;

		dm.init(); // initialize the data model
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		addStringAttribute("root",dm.root);
		addStringAttribute("SYSTEM",dm.SYSTEM);
		addStringAttribute("PUBLIC",dm.PUBLIC);
		
		startElement("qdml");

		doCvt(dm.coinMap,null);

		endElement("qjml");
	}
}
